Page MenuHomePhabricator

WikiEditor: Extra buttons are confusing: "Publish" and "Save changes"
Closed, DeclinedPublic

Description

Author: omid_h28

Description:
Extra Buttons

When Wikieditor is installed, There is two buttons to Publish the post, Two buttons to cancel it and two fields to declare edit summary.

To avoid confusion, It is better to remove the old buttons while WikiEditor is installed.


Version: master
Severity: normal
See also: T90864: Help VisualEditor users find the wikitext "Save" button

Attached:

Details

Reference
bz58588

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 2:29 AM
bzimport added a project: WikiEditor.
bzimport set Reference to bz58588.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Dec 17 2013, 7:49 PM

omid_h28 wrote:

Confusion

Attached:

TTO added a comment.Dec 18 2013, 4:24 AM

That "Publish" feature seems totally undocumented, save for this comment in WikiEditor.php:

// Adds a button and dialog for step-by-step publishing

I can't imagine why anyone would use it.

When you click Publish, the dialog that comes up is supposed to copy the settings from the main "Edit summary", "Minor edit", and "Watch this page" controls [1]. But this doesn't appear to work correctly.

[1] https://git.wikimedia.org/blob/mediawiki%2Fextensions%2FWikiEditor/375e2a12816f198187de4708cc0baf6597a817dc/modules%2Fjquery.wikiEditor.publish.js#L93

Mvolz set Security to None.Mar 31 2015, 10:11 PM
Mvolz added a subscriber: Mvolz.
Nemo_bis updated the task description. (Show Details)Sep 7 2015, 7:21 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 7 2015, 7:21 AM
J5lx added a subscriber: J5lx.Jul 15 2016, 4:22 PM
Jdforrester-WMF closed this task as Declined.Jan 2 2018, 9:38 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Declining this task, as we have just now dropped the never-finished "Labs" publish and preview features from WikiEditor (and they will be removed from REL1_31 onwards).